# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorarch: %global perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)}

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'print (($ExtUtils::MakeMaker::VERSION < 6.30) ? 1 : 0);' 2>/dev/null || echo 0)

# We need to patch the test suite if we have old versions of Test::More
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)
%global older_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.82) ? 1 : 0);' 2>/dev/null || echo 0)
%global very_old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.62) ? 1 : 0);' 2>/dev/null || echo 0)
%global really_old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.52) ? 1 : 0);' 2>/dev/null || echo 0)

# If we have an old Scalar::Util, we won't have Declare::Constraints::Simple and we need to patch the test suite
%global old_scalar_util %(perl -MScalar::Util -e 'print (($Scalar::Util::VERSION < 1.14) ? 1 : 0);' 2>/dev/null || echo 0)

# Provides/Requires filtering is different from rpm 4.9 onwards
%global rpm49 %(rpm --version | perl -pi -e 's/^.* (\\d+)\\.(\\d+).*/sprintf("%d.%03d",$1,$2) ge 4.009 ? 1 : 0/e')

Name:		perl-Moose
Version:	2.0402
Release:	3.%{__distinit}%{__distvers}
Summary:	Complete modern object system for Perl 5
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Moose/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DO/DOY/Moose-%{version}.tar.gz
Patch0:		Moose-2.0002-old-eumm.patch
Patch1:		Moose-2.0401-old-Test::More.patch
Patch2:		Class-MOP-2.0400-old-Test::More.patch
Patch3:		Moose-2.0200-older-Test::More.patch
Patch5:		Moose-2.0400-no-Test-Requires.patch
Patch6:		Moose-2.0200-old-Scalar::Util.patch
Patch7:		Moose-2.0000-really-old-Test::More.patch
Patch8:		Moose-2.0400-spelling.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

BuildRequires:	perl >= 3:5.8.3
BuildRequires:	perl(Algorithm::C3)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Class::Load) >= 0.09
BuildRequires:	perl(Class::Load::XS) >= 0.01
BuildRequires:	perl(Data::OptList)
BuildRequires:	perl(DateTime)
BuildRequires:	perl(DateTime::Calendar::Mayan)
BuildRequires:	perl(DateTime::Format::MySQL)
# DBM::Deep only available with perl ≥ 5.8.8 (FC-5 onwards)
# Similar story for Test::Requires, which needs Test::Builder::Module
# Data::Visitor fails its test suite prior to FC-5, and requires Moose
%if %(perl -e 'print $] >= 5.008008 ? 1 : 0;')
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Data::Visitor)
%endif
BuildRequires:	perl(DBM::Deep) >= 1.0003
BuildRequires:	perl(Test::Requires)
%endif
# Declare::Constraints::Simple requires Scalar::Util ≥ 1.14
%if ! %{old_scalar_util}
BuildRequires:	perl(Declare::Constraints::Simple)
%endif
BuildRequires:	perl(Devel::GlobalDestruction)
BuildRequires:	perl(Dist::CheckConflicts) >= 0.02
BuildRequires:	perl(Eval::Closure) >= 0.04
BuildRequires:	perl(File::Find::Rule)
BuildRequires:	perl(Filter::Simple)
BuildRequires:	perl(HTTP::Headers)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(IO::String)
BuildRequires:	perl(List::MoreUtils) >= 0.12
BuildRequires:	perl(Locale::US)
BuildRequires:	perl(Module::Info)
BuildRequires:	perl(Module::Refresh)
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(MooseX::NonMoose)
%endif
BuildRequires:	perl(MRO::Compat) >= 0.05
BuildRequires:	perl(Package::DeprecationManager) >= 0.10
BuildRequires:	perl(Package::Stash) >= 0.32
BuildRequires:	perl(Package::Stash::XS) >= 0.24
BuildRequires:	perl(PadWalker)
BuildRequires:	perl(Params::Coerce)
BuildRequires:	perl(Params::Util) >= 1.00
BuildRequires:	perl(Regexp::Common)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Sub::Exporter) >= 0.980
BuildRequires:	perl(Sub::Name) >= 0.05
BuildRequires:	perl(SUPER)
BuildRequires:	perl(Task::Weaken)
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::Fatal) >= 0.001
BuildRequires:	perl(Test::More)
%if ! %{very_old_test_more}
BuildRequires:	perl(Test::LeakTrace)
%endif
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Output)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.04
BuildRequires:	perl(Test::Spelling), aspell-en
BuildRequires:	perl(Try::Tiny) >= 0.02
BuildRequires:	perl(URI)

# Note: Devel::PartialDump uses Moose itself
Requires:	perl(Class::Load) >= 0.09
Requires:	perl(Class::Load::XS) >= 0.01
Requires:	perl(Data::OptList)
Requires:	perl(Devel::GlobalDestruction)
Requires:	perl(Devel::PartialDump) >= 0.14
Requires:	perl(Eval::Closure) >= 0.04
Requires:	perl(List::MoreUtils) >= 0.12
Requires:	perl(MRO::Compat) >= 0.05
Requires:	perl(Package::DeprecationManager) >= 0.10
Requires:	perl(Package::Stash) >= 0.21
Requires:	perl(Package::Stash::XS) >= 0.18
Requires:	perl(Params::Util) >= 1.00
Requires:	perl(Scalar::Util)
Requires:	perl(Sub::Exporter) >= 0.980
Requires:	perl(Sub::Name) >= 0.05
Requires:	perl(Task::Weaken)
Requires:	perl(Try::Tiny) >= 0.02

# Class::MOP merged into Moose at 2.0000
Obsoletes:	perl-Class-MOP < 2.0000
Obsoletes:	perl-Class-MOP-tests < 2.0000
Provides:	perl-Class-MOP = %{version}-%{release}
Provides:	perl-Class-MOP-tests = %{version}-%{release}

# Virtual provides for perl-Any-Moose
Provides:	perl(Any-Moose) = %{version}

# Not found by rpm auto-requires
Requires:	perl(Dist::CheckConflicts) >= 0.02

%if %{rpm49}
# Don't "provide" private Perl libs, or test-only packages, or documentation
%global __provides_exclude_from ^%{_docdir}
%global __provides_exclude ^(Moose\\.so|perl\\(Moose::(Manual::FAQ|.*::Recipe[0-9]+)\\))
# Filter dependencies on private modules Moose::Conflicts and Moose::Error::Util plus doc-file dependencies
%global __requires_exclude_from ^%{_docdir}
%global __requires_exclude ^perl\\(Moose::(Conflicts|Error::Util)\\)
%else
# Filter doc file dependencies on lib, MyExporter, Test::Fatal, Test::More and Test::Exception
# Also filter dependencies on private modules Moose::Conflicts and Moose::Error::Util
%global reqfilt /bin/sh -c "%{__perl_requires} | grep -Evx 'perl[(](lib|Moose::(Conflicts|Error::Util)|MyExporter|Test::(Fatal|More|Exception))[)]'"
%define __perl_requires %{reqfilt}
# Filter doc-file provides using a combined whitelist and blacklist approach
%global prov_whitelist ^perl[(](Class::MOP(::.*)?|Moose(::.*)?|metaclass|oose|Test::Moose(::.*)?)[)]
%global prov_blacklist ^perl[(](Moose::(Manual::FAQ|Meta::Attribute::Custom(::Trait)?::(Foo|Bar)|.*::Recipe[0-9]+))[)]
%global provfilt /bin/sh -c "%{__perl_provides} | grep -E '%{prov_whitelist}' | grep -Ev '%{prov_blacklist}'"
%define __perl_provides %{provfilt}
%endif

%description
Moose is an extension of the Perl 5 object system.

Moose is built on top of Class::MOP, which is a meta-class system for
Perl 5. This means that Moose not only makes building normal Perl 5
objects better, but it also provides the power of meta-class programming.
Moose is different from other Perl 5 object systems because it is not a
new system, but instead an extension of the existing one.

While Moose is very much inspired by Perl 6, it is not itself Perl 6.
Instead, it is an OO system for Perl 5. I built Moose because I was
tired or writing the same old boring Perl 5 OO code, and drooling over
Perl 6 OO. So instead of switching to Ruby, I wrote Moose :)

%package -n perl-Test-Moose
License:	GPL+ or Artistic
Group:		Development/Libraries
Summary:	Test functions for Moose specific features
Requires:	%{name} = %{version}-%{release}
Requires:	perl(Test::More)

%description -n perl-Test-Moose
This module provides some useful test functions for Moose based classes.
It is an experimental first release, so comments and suggestions are
very welcome.

%prep
%setup -q -n Moose-%{version}

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%if %{old_eumm}
%patch0 -p1
%endif

# Fix tests for Test::More prior to 0.88
%if %{old_test_more}
%patch1 -p1
%patch2 -p1
%endif

# Can't use note() if we don't have Test::More ≥ 0.82
%if %{older_test_more}
%patch3 -p1
%endif

# If we don't have Test::Requires, we need to patch it out of the test suite
%if %(perl -e 'print $] >= 5.008008 ? 0 : 1;')
%patch5 -p1
%endif

# Fix test suite for old Scalar::Util versions
%if %{old_scalar_util}
%patch6 -p1
%endif

# Fix tests for Test::More prior to 0.52
%if %{really_old_test_more}
%patch7 -p1
%endif

# Fix spelling test for old dictionaries and language consistency
%patch8 -p1

# Fix script interpreter
perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' \
	t/examples/example_Protomoose.t
perl -pi -e 's|^#!perl|#!/usr/bin/perl|' \
	t/cmop/universal_methods.t
perl -pi -e 's|^#!perl|#!/usr/bin/perl|' \
	t/release-pod-syntax.t

# Fix permissions
chmod -c -R -x+X t/

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
chmod -R u+w %{buildroot}

%check
LANG=en_US make test RELEASE_TESTING=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README doap.rdf t/
%{_bindir}/moose-outdated
%{perl_vendorarch}/auto/Moose/
%{perl_vendorarch}/Class/
%{perl_vendorarch}/metaclass.pm
%{perl_vendorarch}/Moose.pm
%{perl_vendorarch}/Moose/
%{perl_vendorarch}/oose.pm
%{_mandir}/man3/Class::MOP.3pm.gz*
%{_mandir}/man3/Class::MOP::Attribute.3pm*
%{_mandir}/man3/Class::MOP::Class.3pm*
%{_mandir}/man3/Class::MOP::Class::Immutable::Trait.3pm*
%{_mandir}/man3/Class::MOP::Deprecated.3pm*
%{_mandir}/man3/Class::MOP::Instance.3pm*
%{_mandir}/man3/Class::MOP::Method.3pm*
%{_mandir}/man3/Class::MOP::Method::Accessor.3pm*
%{_mandir}/man3/Class::MOP::Method::Constructor.3pm*
%{_mandir}/man3/Class::MOP::Method::Generated.3pm*
%{_mandir}/man3/Class::MOP::Method::Inlined.3pm*
%{_mandir}/man3/Class::MOP::Method::Meta.3pm*
%{_mandir}/man3/Class::MOP::Method::Wrapped.3pm*
%{_mandir}/man3/Class::MOP::MiniTrait.3pm*
%{_mandir}/man3/Class::MOP::Mixin.3pm*
%{_mandir}/man3/Class::MOP::Mixin::AttributeCore.3pm*
%{_mandir}/man3/Class::MOP::Mixin::HasAttributes.3pm*
%{_mandir}/man3/Class::MOP::Mixin::HasMethods.3pm*
%{_mandir}/man3/Class::MOP::Module.3pm*
%{_mandir}/man3/Class::MOP::Object.3pm*
%{_mandir}/man3/Class::MOP::Package.3pm*
%{_mandir}/man3/metaclass.3pm*
%{_mandir}/man3/Moose.3pm*
%{_mandir}/man3/Moose::Cookbook*.3pm*
%{_mandir}/man3/Moose::Deprecated.3pm*
%{_mandir}/man3/Moose::Error*.3pm*
%{_mandir}/man3/Moose::Exporter.3pm*
%{_mandir}/man3/Moose::Intro.3pm*
%{_mandir}/man3/Moose::Manual*.3pm*
%{_mandir}/man3/Moose::Meta::*.3pm*
%{_mandir}/man3/Moose::Object.3pm*
%{_mandir}/man3/Moose::Role.3pm*
%{_mandir}/man3/Moose::Spec::Role.3pm*
%{_mandir}/man3/Moose::Unsweetened.3pm*
%{_mandir}/man3/Moose::Util*.3pm*
%{_mandir}/man3/oose.3pm*

%files -n perl-Test-Moose
%defattr(-,root,root,-)
%{perl_vendorarch}/Test/
%{_mandir}/man3/Test::Moose.3pm*

%changelog
* Thu Mar  1 2012 Paul Howarth <paul@city-fan.org> 2.0402-3
- drop patch for old Params::Util versions and BR: perl(Params::Util) ≥ 1.00

* Mon Feb 20 2012 Paul Howarth <paul@city-fan.org> 2.0402-2
- BR: perl(Data::Visitor) where possible
- BR: perl(PadWalker)

* Sat Feb  4 2012 Paul Howarth <paul@city-fan.org> 2.0402-1
- update to 2.0402:
  - Minor documentation fixes
  - Fix test failure on blead (test was unnecessarily strict)

* Tue Jan 24 2012 Paul Howarth <paul@city-fan.org> 2.0401-2
- rebuild

* Thu Nov 17 2011 Paul Howarth <paul@city-fan.org> 2.0401-1
- update to 2.0401:
  Bug Fixes:
  - Attributes with weak_ref now weaken their associated slot when they are
    initialized through a lazy default or builder
- update patch for building with Test::More < 0.88

* Wed Nov 16 2011 Paul Howarth <paul@city-fan.org> 2.0400-1
- update to 2.0400:
  Deprecations:
  - The optimize_as option for type constraints has been deprecated; use the
    inline_as option to provide inlining code instead
  API Changes:
  - Methods to introspect a class's methods will now return methods defined in
    UNIVERSAL (isa, can, etc.); this also means that you can wrap these
    methods with method modifiers (CPAN RT#69839)
  - The ->parent and ->parents method for a union now return the nearest
    common ancestor of that union's component types; see Moose::Manual::Delta
    for more details
  - The ->parents method used to return an arrayref for union types, and a
    list of one or more types for all other types; now they all return
    lists
  - The ->is_subtype_of and ->is_a_type_of methods have changed their behaviour
    for union types: previously, they returned true if any of their member
    types returned true for a given type, but now all of the member types must
    return true (CPAN RT#67731)
  Enhancements:
  - The Moose::Exporter module now has a "meta_lookup" option when creating an
    importer; this allows you to specify an alternate method for determining
    the metaclass of a caller, which is useful for modules like
    MooseX::Role::Parameterized that generate new metaclasses on the fly
  - Added a Moose::Meta::Method->is_stub method
  - The enum type will now allow single value enumerations; previously, two or
    more values were required
  Bug Fixes:
  - A subtype of a union type did not return the right results when you called
    ->is_subtype_of or ->is_a_type_of on it (CPAN RT#70322)
  - An attribute accessor or delegation method can overwrite a stub method and
    this will no longer throw an error (CPAN RT#69988)
  - The error generated by unfulfilled method requirements during role
    composition now mentions how to work around imported methods not being
    recognized (CPAN RT#60583)
  - class_type and role_type will now throw errors if you attempt to use them
    to override existing types, just like type and subtype have always done
  - Implicitly creating class or role types by using them as the 'isa' or
    'does' parameter to attribute construction will now register the type,
    which means that it cannot later be redefined as something else
  - $class_type->is_subtype_of no longer returns true if passed the name of the
    class that the class type represents when the class type wasn't registered
  - Removing anonymous metaclasses prematurely no longer prevents reaping of
    the associated stash
  - A custom error class caused a warning when the class that used it was made
    immutable (CPAN RT#71514)
  - Make make_immutable return value consistent and document it to be true
  Other:
  - The Class::MOP::load_class and Class::MOP::is_class_loaded subroutines are
    no longer documented, and will cause a deprecation warning in the
    future; Moose now uses Class::Load to provide this functionality, and you
    should as well
- BR/R: perl(Class::Load) ≥ 0.09
- BR/R: perl(Class::Load::XS) ≥ 0.01
- BR: perl(Test::EOL) and perl(Test::Pod) ≥ 1.41 for additional test coverage
- bump version requirements for Package::Stash and Package::Stash::XS to 0.32
  and 0.24 respectively
- update patches to apply cleanly

* Sun Oct  9 2011 Paul Howarth <paul@city-fan.org> 2.0205-2
- add virtual provides for perl-Any-Moose

* Wed Sep  7 2011 Paul Howarth <paul@city-fan.org> 2.0205-1
- update to 2.0205:
  - The Array and Hash native traits now provide a "shallow_clone" method,
    which will return a reference to a new container with the same contents as
    the attribute's reference
  - Specifying an invalid value in a hashref 'handles' value now throws a
    sensible error
  - When specifying an attribute trait, passing options for the trait besides
    -alias or -excludes caused a warning; however, passing other options is
    totally valid when using MooseX::Role::Parameterized
  - Allow regexp objects in duck_type constraints (to bring this in line with
    the Object constraint)
- this release by DOY -> update source URL
- update patch for old Test::More versions
- update patch for building without Test::Requires
- update spelling patch to apply cleanly

* Fri Aug 26 2011 Paul Howarth <paul@city-fan.org> 2.0204-1
- update to 2.0204:
  - Validating duck_type type constraint turned out to work only by accident,
    and only when not running under the debugger; this has been fixed
  - Loosen the dependency on ExtUtils::ParseXS
- this release by FLORA -> update source URL

* Wed Aug 24 2011 Paul Howarth <paul@city-fan.org> 2.0203-1
- update to 2.0203:
  - is_class_loaded now properly detects packages that have a version object
    in their $VERSION
  - Fix XS compilation under blead
- only use one set of provides/requires filters in any one build, even though
  the old and new styles shouldn't interfere with each other
- simplify version-testing code

* Tue Jul 26 2011 Paul Howarth <paul@city-fan.org> 2.0202-2
- rebuild for perl 5.14.1 in Rawhide

* Tue Jul 26 2011 Paul Howarth <paul@city-fan.org> 2.0202-1
- update to 2.0202:
  Bug Fixes:
  - Be more consistent about how type constraint messages are handled

* Fri Jul 22 2011 Paul Howarth <paul@city-fan.org> 2.0201-1
- update to 2.0201:
  Bug Fixes:
  - Moose::Util::does_role shouldn't call ->does on things that don't inherit
    from Moose::Object
  - Make ->does initialize the metaclass, so that calling it as a class method
    on a class that sets up inheritance via some method other than extends
    works properly (this fixes an issue with MooseX::Types)
  - Make Dist::CheckConflicts a runtime requirement, so moose-outdated always
    works
- update patch for old Test::More versions

* Tue Jul 19 2011 Paul Howarth <paul@city-fan.org> 2.0200-1
- update to 2.0200:
  Deprecations:
  - Using a hand-optimized type constraint is now deprecated
  - Several things that have been deprecated for a while have been removed; see
    the 2.0000 section in Moose::Manual::Delta for details
  New Features:
  - Type constraints can now provide inlined versions, which should make
    inlined code that uses type constraints (such as accessors) faster; this
    replaces the existing hand-optimized constraint feature
  - New Moose::Util::TypeConstraints::union function for creating union type
    constraints without having to rely on the string type constraint parsing;
    this also allows for creating unions of anonymous type constraints
  Enhancements:
  - Remove a lot of cases where generated methods closed over meta objects;
    most simple cases should now only close over simple data types and
    coderefs, which should make deparsing simpler
  - The native Array trait now has a 'first_index' method, which works just
    like the version in List::MoreUtils
  - Clean up some internal code to help out extensions
  - Moose::Util::does_role now respects overridden ->does methods
  Other:
  - Various packaging issues
- add support for perl_bootstrap macro
- update virtually all patches
- rewrite patch for old Scalar::Util versions
- modernize dependency filtering
- filter dependencies on private modules Moose::Conflicts and
  Moose::Error::Util instead of adding dubious provides for them
- filter provides for documentation such as the Cookbook and FAQ
- fix dist tag for CentOS 6 and Scientific Linux

* Mon Jun 20 2011 Paul Howarth <paul@city-fan.org> 2.0010-1
- update to 2.0010:
  - Fix regression in 2.0009 when applying roles during init_meta in an
    exporter that also re-exports Moose or Moose::Role

* Sun Jun 19 2011 Paul Howarth <paul@city-fan.org> 2.0009-1
- update to 2.0009:
  - duck_type type constraints now report reasonable errors when given
    something which isn't an instance of an object
  - Moose::Util::apply_all_roles now works even if the applicant is a non-Moose
    class
  - When an object is reblessed, triggers are called on attributes that are
    set during the reblessing
  - Better error message if Moose->init_meta is called with a 'metaclass'
    option when that metaclass hasn't been loaded
- update patches for old Params::Util and Test::More compatibility, and for
  missing Test::Requires

* Fri Jun 17 2011 Paul Howarth <paul@city-fan.org> 2.0008-1
- update to 2.0008:
  - The 'accessor' native delegation for hashrefs now allows setting the value
    to undef
  - Various generated methods have more useful context information
- this release by DOY -> update source URL
- update patches for old Test::More compatibility

* Sun May 15 2011 Paul Howarth <paul@city-fan.org> 2.0007-1
- update to 2.0007:
  - Make sure weak attributes remain weak when cloning
- this release by FLORA -> update source URL
- update patch for old Test::More versions

* Tue May 10 2011 Paul Howarth <paul@city-fan.org> 2.0006-1
- update to 2.0006:
  - Revert the List::MoreUtils version bump, as it breaks backwards
    compatibility; the dependency will be bumped with Moose 2.0200
- bump List::MoreUtils version requirement back down to 0.12

* Mon May  9 2011 Paul Howarth <paul@city-fan.org> 2.0005-1
- update to 2.0005:
  - Only sort the alias keys when determining caching

* Mon May  9 2011 Paul Howarth <paul@city-fan.org> 2.0004-1
- update to 2.0004:
  Bug Fixes:
  - Applying multiple role objects (rather than role names) at once no longer
    skips every other role
  - Caching of anon classes now works more sanely in the presence of role
    application parameters - alias and excludes options are taken into account,
    and caching is disabled entirely if other parameters exist; asking for
    caching (instead of just not weakening) when parameters are given will
    begin warning in Moose 2.0200
  - Bump the List::MoreUtils dep to avoid buggy behavior in old versions
  - Sort the list of roles and the alias and excludes parameters when
    determining caching, since their order doesn't matter
- update patches for building with old Params::Util and Test::More versions
- bump List::MoreUtils version requirement to 0.28

* Mon May  9 2011 Paul Howarth <paul@city-fan.org> 2.0002-3
- BR: perl(MooseX::NonMoose) for extra test coverage; will need to drop this
  to bootstrap new builds in future
- rediff some patches to avoid backup files in package

* Tue May  3 2011 Paul Howarth <paul@city-fan.org> 2.0002-2
- rebuild

* Fri Apr 29 2011 Paul Howarth <paul@city-fan.org> 2.0002-1
- update to 2.0002:
  Enhancements:
  - Provide definition context information for constructors and destructors, so
    that they will show up as something other than "generated method (unknown
    origin)"; also, add the package that accessors are defined in to their
    definition context
  - Use Devel::PartialDump in type constraint error messages, if it is
    installed.
  Bug Fixes:
  - Stop hiding warnings produced by throwing errors in DEMOLISH methods
  - The 'reset' native delegation for Counter attributes will now also respect
    builders (previously, it only respected defaults)
- R: perl(Devel::PartialDump) >= 0.14
- update patches where necessary

* Wed Apr 27 2011 Paul Howarth <paul@city-fan.org> 2.0001-4
- add explicit perl(Dist::CheckConflicts) requirement

* Tue Apr 26 2011 Paul Howarth <paul@city-fan.org> 2.0001-3
- rebuild with new Eval::Closure, Test::Fatal and Test::Spelling

* Sun Apr 24 2011 Paul Howarth <paul@city-fan.org> 2.0001-2
- obsolete/provide perl-Class-MOP-tests

* Sat Apr 23 2011 Paul Howarth <paul@city-fan.org> 2.0001-1
- update to 2.0001:
  Enhancements:
  - Anonymous classes and roles now have a unified implementation in
    Class::MOP::Package; this means that anonymous packages are now also
    possible
  Bug Fixes:
  - No longer call XSLoader from multiple places, as this causes issues on
    older perls
  - Moose::Meta::Role->create now accepts the 'roles' parameter, as it was
    documented to
  - Depend on Eval::Closure 0.04, which fixes some issues in mod_perl
    environments

* Tue Apr 12 2011 Paul Howarth <paul@city-fan.org> 2.0000-1
- update to 2.0000:
  API Changes:
  - Roles now have their own default attribute metaclass to use during
    application to a class, rather than just using the class's
    attribute_metaclass; this is also overridable via ::MetaRole, with the
    applied_attribute key in the role_metaroles hashref
  - The internal code used to generate inlined methods (accessor, constructor,
    etc.) has been massively rewritten; MooseX modules that do inlining will
    almost certainly need to be updated as well
  - The RegexpRef type constraint now accepts regular expressions blessed into
    other classes, such as those found in pluggable regexp engines
  - The 'Object' constraint no longer rejects objects whose implementation is a
    regular expression
  New Features:
  - The Moose::Meta::Role::Attribute class now has an original_role method,
    which returns the role that first defined an attribute
  - Moose::Util::MetaRole will make sure that the class to which you're
    applying metaroles or base class roles can actually have them applied; if
    not (it's not a Moose class, it has a non-Moose metaclass, etc.), then it
    gives a useful error message
  Enhancements:
  - We now load the roles needed for native delegations only as needed, which
    speeds up the compilation time for Moose itself
  Bug Fixes:
  - Reverse the order that Moose::Exporter 'also' exports are dispatched; when
    trying to re-export from a package that itself exported a modified set of
    Moose sugar, you'd get the original Moose sugar instead of the overrides
  - Don't initialize lazy attributes with defaults in the constructor (for
    immutable classes)
  - When reinitializing meta objects for classes and roles, we failed to
    preserve roles and role applications, which led to weird bugs
  - Reinitializing anonymous roles used to accidentally clear out the role's
    stash in some circumstances
  - The Int type constraint now rejects integers with trailing newlines
  - When a role had its own applied_attribute metaclass (usually from MetaRole
    application), that metaclass would get lost when that role participated in
    role composition; it was also lost if that role was consumed by some other
    role - both of these cases have been fixed; attributes are always applied
    with the applied_attribute metaclass of the role that originally defined
    them
  Other:
  - The entire Class::MOP distribution has been merged with Moose; in the
    future, the Class::MOP code itself will be merged into Moose, and
    eventually the Class::MOP namespace will disappear entirely, but for the
    current release, we have simply changed how Class::MOP is distributed
  - Switched to Dist::Zilla for development
  - Fix some indexing issues
  - Fix a few issues with the conflict checking stuff
  - Fix generation of CCFLAGS
  - Update conflicts list
  - Moose::Manual::Support now explicitly states when major releases are
    allowed to happen (January, April, July, or October)
- this release by DOY -> update source URL
- update all patches
- add patch to support building with ExtUtils::MakeMaker < 6.31
- add patch to suppress 'Subroutine redefined' warnings with perl < 5.8.8
- BR/R: perl(Eval::Closure)
- obsolete/provide perl-Class-MOP to avoid conflicts on upgrade
- drop dependencies on perl(Class::MOP)
- inherit various dependencies from Class::MOP
- specify version requirements for many modules
- explicitly provide perl(Moose::Conflicts), not automatically detected by rpm

* Mon Apr  4 2011 Paul Howarth <paul@city-fan.org> 1.25-1
- update to 1.25
  - Reinitializing anonymous roles used to accidentally clear out the role's
    stash in some circumstances
- update old Test::More patch
- nobody else likes macros for commands

* Wed Feb 23 2011 Paul Howarth <paul@city-fan.org> 1.24-1
- update to 1.24
  - Reverse the order that Moose::Exporter 'also' exports are dispatched
- update old Test::More patch

* Tue Feb 15 2011 Paul Howarth <paul@city-fan.org> 1.23-1
- update to 1.23
  - When reinitializing meta objects for classes and roles, we failed to
    preserve roles and role applications, which led to weird bugs
- update spelling and old Test::More patches
- filter more doc-file dependencies

* Sun Feb 13 2011 Paul Howarth <paul@city-fan.org> 1.21-2
- update spelling patch as dictionary coverage seems to have gone down in
  Rawhide

* Thu Nov 25 2010 Paul Howarth <paul@city-fan.org> 1.21-1
- update to 1.21
  - Support manual updated to reflect new major/minor version policy
  - Contributing manual updated to reflect workflow changes based on this new
    support policy
  - the role attribute metaclass did not inherit from Class::MOP::Object, which
    could cause errors when trying to resolve metaclass compatibility issues
  - the lazy_build feature was accidentally removed from all of the docs; now
    it's listed in Moose.pm again
- update spelling and old Test::More patches

* Fri Nov 19 2010 Paul Howarth <paul@city-fan.org> 1.20-1
- update to 1.20
  - when using native delegations, if an array or hash ref member failed a type
    constraint check, Moose ended up erroring out with `Can't call method
    "get_message" on unblessed reference' instead of generating a useful error
    based on the failed type constraint (CPAN RT#63113)
- update patch for old Test::More versions

* Tue Nov  2 2010 Paul Howarth <paul@city-fan.org> 1.19-1
- update to 1.19
  - there was still one use of Test::Exception rather than Test::Fatal
- drop buildreq perl(Test::Exception), no longer needed

* Mon Nov  1 2010 Paul Howarth <paul@city-fan.org> 1.18-1
- update to 1.18
  - type constraint objects now have an assert_coerce method that will either
    return a valid value or throw an error
  - warn when an accessor for one attribute overwrites an accessor for another
    attribute (CPAN RT#57510)
  - the native Array and Hash delegation methods now coerce individual new
    members if the _member type_ has a coercion (CPAN RT#62351)
  - an attribute using native delegations did not always properly coerce and
    type check a lazily set default value
  - using a regexp to define delegations for a class that was not yet loaded
    did not actually work, but did not explicitly fail, though it caused an
    error when the class was loaded later (CPAN RT#60596)
  - attempting to delegate to a class or role that is not yet loaded will now
    throw an explicit error
  - attempting to set lazy_build in an inherited attribute was ignored
    (CPAN RT#62057)
  - the Moose test suite now uses Test::Fatal instead of Test::Exception
- bump Class::MOP requirement to 1.11
- update patches for Scalar::Util, Test::Requires and Test::More
- BR: perl(Test::Fatal) [Test::Exception is still needed]

* Tue Oct 19 2010 Paul Howarth <paul@city-fan.org> 1.17-1
- update to 1.17
  - make native delegation inlining work with instance metaclasses where slot
    access is a do {} block, like Kioku
- update patches
- remove spurious exec permissions from tests

* Tue Oct 19 2010 Paul Howarth <paul@city-fan.org> 1.16-1
- update to 1.16
  - almost every native delegation method that changes the attribute value now
    has an explicitly documented return value, which generally matches what
    Perl would return for the same operation
  - lots of work on native delegation documentation
  - passing an odd number of args to ->new() now gives a more useful warning
  - experimentally allow disabling stack traces by setting an env var
  - the deprecation warning for using alias and excludes without a leading
    dash now tells you the role being applied and what it was being applied to
  - a number of native trait methods which expected strings as arguments did
    not allow the empty string (CPAN RT#61962)
  - 'no Moose' no longer inadvertently removes imports it didn't create itself
    (CPAN RT#60013)
  - roles now support passing an array reference of method names to method
    modifier sugar functions
  - native traits no longer use optimized inlining routines if the instance
    requests it (in particular, if inline_get_slot_value doesn't return
    something that can be assigned to)
  - we now ignore all Class::MOP and Moose classes when determining what
    package called a deprecated feature, which should make the deprecation
    warnings saner, and make it possible to turn them off more easily
  - the deprecated "default is" warning no longer happens if the attribute has
    any accessor method defined (accessor, reader, writer)
  - the "default default" code for some native delegations no longer issues a
    deprecation warning when the attribute is required or has a builder
  - setting a "default default" caused a fatal error if you used the builder
    or lazy_build options for the attribute (CPAN RT#59613)
- bump Class::MOP requirement to 1.10
- drop POD patch, no longer needed
- update patches

* Wed Oct  6 2010 Paul Howarth <paul@city-fan.org> 1.15-1
- update to 1.15
  - major changes to Native Traits, most of which make them act more like
    "normal" attributes (see Moose::Manual::Delta for details)
  - a few native traits (String, Counter, Bool) provide default values of "is"
    and "default" when you created an attribute; allowing them to provide
    these values is now deprecated
  - new option 'trait_aliases' for Moose::Exporter, which will allow you to
    generate non-global aliases for your traits (and allow your users to
    rename the aliases, etc.)
  - 'use Moose' and 'use Moose::Role' now accept a '-meta_name' option, to
    determine which name to install the 'meta' name under; passing 'undef'
    to this option will suppress generation of the meta method entirely
  - Moose now warns if it overwrites an existing method named "meta" in your
    class when you "use Moose"
  - native trait delegations are now all generated as inline code
  - reinitializing a metaclass no longer removes the existing method and
    attribute objects (it instead fixes them so they are correct for the
    reinitialized metaclass), which should make the order of loading many
    MooseX modules less of an issue
  - the Moose::Manual docs have been revised and updated
  - if an attribute was weak, setting it to a non-ref value after the object
    was constructed caused an error; now we only call weaken when the new
    value is a reference
  - t/040_type_constraints/036_match_type_operator.t failed on 5.13.5+
- update patches
- bump Class::MOP requirement to 1.09
- add patch to fix broken POD
- add patch to work with old Params::Util versions that don't have _REGEX

* Fri Oct  1 2010 Paul Howarth <paul@city-fan.org> 1.14-2
- Rebuild for gcc bug (#634757)

* Tue Sep 21 2010 Paul Howarth <paul@city-fan.org> 1.14-1
- update to 1.14
  - work around what looks like a bug in List::MoreUtils::any, which caused a
    weird error when defining the same union type twice, but only when using
    MooseX::Types (CPAN RT#61001)

* Tue Sep 14 2010 Paul Howarth <paul@city-fan.org> 1.13-1
- update to 1.13
  - the deprecation warnings for alias and excludes are back: use -alias and
    -excludes instead
  - when composing one role into another and there is an attribute conflict,
    the error message now includes the attribute name (CPAN RT#59985)
  - when a class is made immutable, the does_role method is overridden with a
    much faster version that simply looks role names up in a hash; code that
    uses lots of role-based type constraints should be faster
- update old Test::More and no Test::Requires patches

* Sat Aug 28 2010 Paul Howarth <paul@city-fan.org> 1.12-1
- update to 1.12
  - an attribute in a subclass can now override the value of "is"
  - deprecation warnings for alias and excludes have been turned back off for
    this release, to give other module authors a chance to tweak their code
  - mro::get_linear_isa was being called as a function rather than a method,
    which caused problems with Perl 5.8.x
  - union types always created a type constraint, even if their constituent
    constraints did not have any coercions; this bogus coercion always
    returned undef, which meant that a union which included Undef as a member
    always coerced bad values to undef (CPAN RT#58411)
  - union types with coercions would always fall back to coercing the value to
    undef (unintentionally); now if all the coercions for a union type fail,
    the value returned by the coercion is the original value that we attempted
    to coerce
  - fix the MANIFEST (CPAN RT#60831)
- update old Test::More patch
- BR: Test::Requires if viable
- add new patch to remove usage of Test::Requires from test suite if necessary

* Mon Aug 23 2010 Paul Howarth <paul@city-fan.org> 1.10-1
- update to 1.10
  - the long-deprecated alias and excludes options for role applications now
    issue a deprecation warning; use -alias and -excludes instead
  - inlined code no longer stringifies numeric attribute defaults
  - default => undef now works properly
  - enum type constraints now throw errors if their values are nonsensical
  - optimizations that should help speed up compilation time
- bump Class::MOP dependency to 1.05
- update old Test::More patch
- permissions in upstream files no longer need fixing

* Mon Jul 26 2010 Paul Howarth <paul@city-fan.org> 1.09-1
- update to 1.09 (see Changes for details)
- this release by DROLSKY -> update source URL
- bump Class::MOP requirement to 1.04
- package Moose::Deprecated manpage
- update old Test::More and spelling patches

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1.08-2
- rebuild for perl 5.12.1 in Rawhide

* Wed Jun 16 2010 Paul Howarth <paul@city-fan.org> 1.08-1
- update to 1.08 (refactored a small amount of
  Moose::Meta::Method::Constructor to allow it to be overridden more easily)
- this release by DOY -> update source URL
- update old Test::More and spelling patches

* Mon Jun  7 2010 Paul Howarth <paul@city-fan.org> 1.07-1
- update to 1.07 (fixed a minor metaclass compatibility fixing bug dealing
  with immutable classes and non-class metaclass traits)
- update old Test::More patch

* Wed Jun  2 2010 Paul Howarth <paul@city-fan.org> 1.06-1
- update to 1.06 (added '0+' overloading in Moose::Meta::TypeConstraint so
  that we can more uniformly compare type constraints between 'classic' Moose
  type constraints and MooseX::Types based type constraints)
- update old Test::More patch

* Fri May 21 2010 Paul Howarth <paul@city-fan.org> 1.05-1
- update to 1.05
  - packages and modules no longer have methods
  - BUILDALL called by Moose::Meta::Class::new_object, not Moose::Object::new
  - strict and warnings are unimported if Moose{,::Role,::Exporter} unimported
  - add a 'consumers' method to Moose::Meta::Role
  - fix has '+attr' in Roles to explode immediately
  - fix duplicate 'failed' in type constraint validation messages
  - new type constraints will default to being unequal
  - tests no longer check for perl's behavior of clobbering $@
  - metaclass compatibility fixing has been completely rewritten for robustness
- bump Class::MOP version requirement to 1.02
- update old Test::More and spelling patches

* Wed May 19 2010 Paul Howarth <paul@city-fan.org> 1.03-2
- fix dist tag for RHEL-6 Beta

* Thu May  6 2010 Paul Howarth <paul@city-fan.org> 1.03-1
- update to 1.03 (allow specifying required versions when setting superclasses
  or applying roles)
- bump Class::MOP version requirement to 1.01
- update old Test::More and spelling patches

* Mon May  3 2010 Paul Howarth <paul@city-fan.org> 1.02-1
- update to 1.02
  - fix natatime method when called with a callback
  - make Moose::Meta::TypeConstraint::Class correctly reject RegexpRefs
  - fix is_subtype_of behaviour for Moose::Meta::TypeConstraint::Class
  - use File::Temp for temp files created during tests
  - pass role arguments along when applying roles to instances
- update spelling patch
- update old Test::More patch

* Fri Mar 26 2010 Paul Howarth <paul@city-fan.org> 1.01-1
- update to 1.01 (the handles option now also accepts a role type constraint
  in addition to a plain role name)
- this release made by FLORA -> fix source URL
- update old-Test::More and spelling patches

* Fri Mar 26 2010 Paul Howarth <paul@city-fan.org> 1.00-1
- update to 1.00 (Moose::Meta::Attribute::Native::Trait::Code no longer
  creates reader methods by default; improve various parts of the
  documentation and fix many typos)
- this release by STEVAN -> update source URL
- update old-Test::More patch
- update spelling patch to "fix" GB English spelling so that the spelling
  check passes (most of the module is written in US English)

* Tue Mar  9 2010 Paul Howarth <paul@city-fan.org> 0.99-1
- update to 0.99
  - new method find_type_for in Moose::Meta::TypeConstraint::Union
  - fixed DEMOLISH methods for mutable subclasses of immutable classes
  - added Moose::Manual::Support documentation
- this release made by FLORA -> fix source URL
- drop upstreamed NoTabs patch
- update old-Test::More patch
- update old-Scalar::Util patch to remove fuzz

* Thu Feb 11 2010 Paul Howarth <paul@city-fan.org> 0.98-1
- update to 0.98 (fix role application to an instance)
- update old-Test::More patch
- re-enable POD spelling test, adding patch to improve dictionary coverage

* Wed Feb 10 2010 Paul Howarth <paul@city-fan.org> 0.97-1
- update to 0.97
  - fix ->reinitialize on a cached anonymous class, which destroyed the cache
- this release made by DROLSKY -> fix source URL
- add patch to fix NoTabs test
- update old-Test::More patch
- buildreq perl(Pod::Coverage) >= 0.20 necessary for pod_coverage test

* Sun Feb  7 2010 Paul Howarth <paul@city-fan.org> 0.96-1
- update to 0.96
  - ScalarRef is now a parameterized type (addresses CPAN RT#50857)
  - ScalarRef now accepts references to other references (CPAN RT#50934)
- update old-Test::More patch

* Thu Feb  4 2010 Paul Howarth <paul@city-fan.org> 0.95-1
- update to 0.95
  - Moose::Meta::Attribute::Native::Trait::Code now provides execute_method
  - Moose::Object::does no longer checks the entire inheritance tree
  - Moose::Util::add_method_modifier etc. can now accept arrayrefs
- new upstream maintainer -> new source URL
- BR: perl(DateTime::Format::MySQL) for better test coverage
- update old-Test::More patch

* Mon Feb  1 2010 Paul Howarth <paul@city-fan.org> 0.94-4
- add buildreqs perl(DBM::Deep), perl(Declare::Constraints::Simple), and
  perl(Test::NoTabs) for better test coverage

* Fri Jan 29 2010 Paul Howarth <paul@city-fan.org> 0.94-3
- add buildreqs perl(DateTime::Calendar::Mayan), perl(Locale::US) and
  perl(Params::Coerce) for better test coverage

* Fri Jan 22 2010 Paul Howarth <paul@city-fan.org> 0.94-2
- add buildreqs perl(DateTime), perl(HTTP::Headers), perl(Module::Refresh)
  for better test coverage

* Tue Jan 19 2010 Paul Howarth <paul@city-fan.org> 0.94-1
- update to 0.94 (see Changes for details)
- new upstream maintainer -> new source URL
- XS code built by default -> package is no longer noarch
- buildreq perl(Test::Deep) for additional test coverage
- bump perl(Class::MOP) requirement to 0.98
- run author tests as well as regular tests
- buildreq perl(File::Find::Rule), perl(Module::Info), perl(Test::Pod),
  perl(Test::Pod::Coverage), perl(Test::Spelling) and aspell-en for author tests
- update old-Test::More patch
- filter doc file dependencies on Test::More and Test::Exception

* Thu Nov 19 2009 Paul Howarth <paul@city-fan.org> 0.93-1
- update to 0.93 (see Changes for details)
- new upstream maintainer -> new source URL
- dist tag for Rawhide no longer needs special-casing
- update test suite patch for old Scalar::Util versions

* Wed Sep 23 2009 Paul Howarth <paul@city-fan.org> 0.92-1
- update to 0.92
- buildreq/req Class::MOP >= 0.94
- update patch for Scalar::Util < 1.14 for new failing test

* Mon Sep 21 2009 Paul Howarth <paul@city-fan.org> 0.91-1
- update to 0.91

* Wed Sep 16 2009 Paul Howarth <paul@city-fan.org> 0.90-1
- update to 0.90
- test script permissions fixed upstream
- use %%{?perl_default_filter}
- buildreq/req Class::MOP >= 0.93
- buildreq Try::Tiny and Test::Builder::Tester
- add patch to enable test suite to pass with Test::More < 0.88
- add patch to enable test suite to pass with Scalar::Util < 1.14

* Fri Aug 14 2009 Paul Howarth <paul@city-fan.org> 0.89-1
- update to 0.89
- buildreq/req Class::MOP >= 0.92

* Mon Aug 10 2009 Paul Howarth <paul@city-fan.org> 0.88-2
- import from Fedora
- drop all versions from reqs and buildreqs to start with
- drop all buildreqs for optional tests to start with (except Test::Output)

* Mon Jul 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.88-1
- auto-update to 0.88 (by cpan-spec-update 0.01)
- altered br on perl(Class::MOP) (0.85 => 0.89)
- altered br on perl(Sub::Exporter) (0.972 => 0.980)
- added a new req on perl(Carp) (version 0)
- added a new req on perl(Class::MOP) (version 0.89)
- added a new req on perl(Data::OptList) (version 0)
- added a new req on perl(List::MoreUtils) (version 0.12)
- added a new req on perl(Scalar::Util) (version 1.19)
- added a new req on perl(Sub::Exporter) (version 0.980)
- added a new req on perl(Sub::Name) (version 0)
- added a new req on perl(Task::Weaken) (version 0)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.81-3
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.81-2
- split off Test::Moose

* Tue Jun 09 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.81-1
- auto-update to 0.81 (by cpan-spec-update 0.01)
- altered br on perl(Class::MOP) (0.83 => 0.85)

* Sun Jun 07 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.80-1
- auto-update to 0.80 (by cpan-spec-update 0.01)

* Tue May 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.79-1
- auto-update to 0.79 (by cpan-spec-update 0.01)

* Wed May 13 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.78-1
- auto-update to 0.78 (by cpan-spec-update 0.01)
- altered br on perl(Test::Exception) (0.21 => 0.27)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- added a new br on perl(Sub::Name) (version 0)
- altered br on perl(Class::MOP) (0.81 => 0.83)
- altered br on perl(Sub::Exporter) (0.954 => 0.972)
- added a new br on perl(Carp) (version 0)

* Mon May 04 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.74-2
- switch filtering to a cleaner system

* Sat Apr 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.74-1
- update to 0.74

* Wed Apr 01 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.73-1
- update to 0.73

* Sun Mar 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.72-1
- update to 0.72

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.71-2
- rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.71-1
- update to 0.71

* Sun Jan 04 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.64-1
- update to 0.64

* Sun Dec 28 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.63-1
- update to 0.63
- bump br versions on Moose, List::MoreUtils

* Sat Dec 06 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.62-1
- update to 0.62
- new Task::Weaken and Class::MOP requirements

* Sat Nov 08 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.61-4
- aaaand drop them again, as it was really perl-Class-MOP's issue.

* Sat Nov 08 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.61-3
- same with Devel::GlobalDestruction (same RT as below)

* Sat Nov 08 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.61-2
- add Sub::Name as a build dep (RT#40772)

* Sat Nov 08 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.61-1
- update to 0.61
- update BR's

* Sat Sep 06 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.57-2
- add additional test BR's

* Sat Sep 06 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.57-1
- update to 0.57

* Fri Jul 18 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.54-1
- update to 0.54

* Sat Jun 28 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.51-1
- update to 0.51

* Tue Jun 17 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.50-1
- update to 0.50
- drop obviated test patch

* Wed May 28 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.44-2
- bump

* Wed May 21 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.44-1
- update to 0.44

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.33-3
- rebuild for new perl

* Mon Jan 07 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.33-2
- remove *.orig files from t/ (BZ#427754)

* Sat Dec 15 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.33-1
- update to 0.33

* Wed Dec 05 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.32-1
- update to 0.32

* Sun Nov 25 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.30-1
- update to 0.30

* Sat Nov 17 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.29-1
- update to 0.29
- refactor to Module::Install

* Sun Oct 14 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.26-1
- udpate to 0.26

* Sat Aug 11 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.24-1
- update to 0.24
- license tag: GPL -> GPL+
- patch t/202_...t to write to a tmpdir rather than .

* Thu May 31 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.22-1
- update to 0.22

* Fri May 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.21-1
- update to 0.21

* Tue May 01 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.20-2
- add t/ to %%doc
- add br for optional test #7

* Sat Apr 07 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.20-1
- update to 0.20
- add additional BR's for new optional tests

* Fri Mar 23 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.18-1
- Sub::Name only needed as a br for Moose < 0.18
- update to 0.18

* Thu Nov 16 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.17-2
- add IO::File and IO::String to br's for testing

* Thu Nov 16 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.17-1
- update to 0.17

* Mon Nov 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.15-1
- update to 0.15

* Tue Oct 10 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.14-1
- update to 0.14
- drop some cruft from the specfile
- make %%description a touch more verbose :)

* Tue Oct 03 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.13-1
- update to 0.13

* Fri Sep 08 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.12-2
- bump

* Sat Sep 02 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.12-1
- Specfile autogenerated by cpanspec 1.69.1.
